- noteable_name = @note.noteable.human_class_name

.pull-left.btn-group.append-right-10.comment-type-dropdown.js-comment-type-dropdown
  %input.btn.btn-nr.btn-create.comment-btn.js-comment-button.js-comment-submit-button{ type: 'submit', value: 'Comment' }

  - if @note.can_be_discussion_note?
    = button_tag type: 'button', class: 'btn btn-nr dropdown-toggle comment-btn js-note-new-discussion js-disable-on-submit', data: { 'dropdown-trigger' => '#resolvable-comment-menu' }, 'aria-label' => 'Open comment type dropdown' do
      = icon('caret-down', class: 'toggle-icon')

    %ul#resolvable-comment-menu.dropdown-menu{ data: { dropdown: true } }
      %li#comment.droplab-item-selected{ data: { value: '', 'submit-text' => '评论', 'close-text' => "评论 & 关闭 #{noteable_name}", 'reopen-text' => "评论 & 重新打开 #{noteable_name}" } }
        %a{ href: '#' }
          = icon('check')
          .description
            %strong 评论
            %p
              向 #{noteable_name} 添加一般评论。

      %li.divider.droplab-item-ignore

      %li#discussion{ data: { value: 'DiscussionNote', 'submit-text' => '开始讨论', 'close-text' => "开始讨论 & 关闭 #{noteable_name}", 'reopen-text' => "开始讨论 & 重新打开 #{noteable_name}" } }
        %a{ href: '#' }
          = icon('check')
          .description
            %strong 开始讨论
            %p
              = succeed '.' do
                讨论一个
                - if @note.noteable.supports_resolvable_notes?
                  需要解决的
                具体的建议或问题。